{
This file is part of Unreal Tournament System Config version 210f.

Copyright (C) 2000, 2003 Simon McVittie.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}

unit TBotDefine;

INTERFACE
type
TBot=record
	Name:string[255];
	Team:byte;
	Skill:single;
	Accuracy:single;
	CombatStyle:single;
	Alertness:single;
	Camping:single;
	StrafingAbility:single;
	FavoriteWeapon:string[255];
	ModelClass:string[255];
	Skin:string[255];
	Face:string[255];
	Voice:string[255];
	Jumpy:boolean;
	end;{record}

TBotSquad=array[0..31] of TBot;        {the UT bot database}

const
BlankBot:TBot=(Name:'__Null__';Team:255;Skill:0;Accuracy:0;CombatStyle:0;
              Alertness:0;StrafingAbility:0;FavoriteWeapon:'';
              ModelClass:'Botpack.TMale1Bot';Skin:'CommandoSkins.cmdo';
              Face:'CommandoSkins.Blake';Voice:'BotPack.VoiceMaleOne';
              Jumpy:FALSE);

IMPLEMENTATION

END.{unit}

	