{
This file is part of Unreal Tournament System Config version 210f.

Copyright (C) 2000, 2003 Simon McVittie.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}

unit AdminToolbox;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Spin, inifiles, adminknowledge,knowledge;

type
  TAdminForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    SpinEdit1: TSpinEdit;
    Label3: TLabel;
    Label4: TLabel;
    BitBtn1: TBitBtn;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    BitBtn2: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AdminForm: TAdminForm;

implementation

{$R *.DFM}

const

~~~~~~~~~ To compile this code, comment out these two lines and fix the
absolute paths below. ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

datapath='c:\my documents\utsc\2.1f\src\moddata';
outpath='c:\my documents\utsc\2.1f\utsc210.dat'  ;

procedure TAdminForm.BitBtn1Click(Sender: TObject);
const
hAbout='AboutThisFile';
aboutA='';
aboutB=' This is a datafile for Unreal Tournament System Config v2.1 by Psychic_313.';
aboutC=' This application is available from Paradox Productions:';
aboutD=' <http://www.pseudorandom.co.uk/2000/paradox/utsc/>.';
aboutE='';
aboutF=' The rest of this file is intended to be read by UT System Config.';
aboutG='';
aboutH='';
aboutI='';
aboutZ='--------------------------------------------------------------------------------------------------';

var Tau:TIniFile; i:integer; filename:string;    Details:TSearchRec;
begin

i:=FindFirst(datapath+'\*.utsc.txt',faAnyFile,Details);
while (i=0) do begin
Filename:=DataPath+'\'+Details.FindData.cFileName;

Tau:=TIniFile.Create(Filename);

Tau.WriteString(hAbout,'a',aboutA);
Tau.WriteString(hAbout,'b',aboutB);
Tau.WriteString(hAbout,'c',aboutC);
Tau.WriteString(hAbout,'d',aboutD);
Tau.WriteString(hAbout,'e',aboutE);
Tau.WriteString(hAbout,'f',aboutF);
Tau.WriteString(hAbout,'g',aboutG);
Tau.WriteString(hAbout,'h',aboutH);
Tau.WriteString(hAbout,'i',aboutI);
Tau.WriteString(hAbout,'z',aboutZ);

Tau.WriteInteger(hHeader,vWriter,Self.SpinEdit1.Value);
Tau.WriteString(hHeader,vDatafileCompilerName,'Psychic_313');
  i:=FindNext(Details);
end;{while}
FindClose(Details);
End;

{======================================================================================}

procedure TAdminForm.BitBtn2Click(Sender: TObject);
var Sigma:TFileStream;
    errcode:integer;
    Filename,s:string;
    Details:TSearchRec;
begin                                                        {my file! bad app!}
Sigma:=TFileStream.Create(outpath,fmCreate OR fmShareExclusive);
try
{FILE FORMAT =========================================

plain ASCII: 'pseudorandom.co.uk_UTSC_Binary_v210'
#0
ignore this section (future use)        #13 reserved for "ignore me, nothing here"
#0           }
  s:='pseudorandom.co.uk_UTSC_Binary_v210';
  WriteTerminatedString(s,Sigma);
  s:=#13;
  WriteTerminatedString(s,Sigma);
  errcode:=FindFirst(DataPath+'\*.utsc.ini',faAnyFile,Details);
while (errcode=0) do begin
  Filename:=DataPath+'\'+Details.FindData.cFileName;
  AdminKnowledge.ConvertKnowledge(Filename,Sigma);
  errcode:=FindNext(Details);
end;{while}
FindClose(Details);
errcode:=FindFirst(DataPath+'\*.utsc.txt',faAnyFile,Details);
while (errcode=0) do begin
  Filename:=DataPath+'\'+Details.FindData.cFileName;
  AdminKnowledge.ConvertKnowledge(Filename,Sigma);
  errcode:=FindNext(Details);
end;{while}
FindClose(Details);
s:='';
WriteTerminatedString(s,Sigma);
ShowMessage('Made UTSC.DAT master file');
finally
Sigma.Free;
end;{try}

end;

end.
